/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateConfigurationInput } from "../types/CreateConfigurationInput";
import { CreateConfigurationOutput } from "../types/CreateConfigurationOutput";
import { KafkaResolvedConfiguration } from "../KafkaConfiguration";
export * from "../types/CreateConfigurationInput";
export * from "../types/CreateConfigurationOutput";
export * from "../types/CreateConfigurationExceptionsUnion";
export declare class CreateConfigurationCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateConfigurationInput, OutputTypesUnion, CreateConfigurationOutput, KafkaResolvedConfiguration, _stream.Readable> {
    readonly input: CreateConfigurationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateConfigurationInput, CreateConfigurationOutput, _stream.Readable>;
    constructor(input: CreateConfigurationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: KafkaResolvedConfiguration): __aws_sdk_types.Handler<CreateConfigurationInput, CreateConfigurationOutput>;
}
