"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeCluster_1 = require("../model/operations/DescribeCluster");
var DescribeClusterCommand = /** @class */ (function () {
    function DescribeClusterCommand(input) {
        this.input = input;
        this.model = DescribeCluster_1.DescribeCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeClusterCommand;
}());
exports.DescribeClusterCommand = DescribeClusterCommand;
//# sourceMappingURL=DescribeClusterCommand.js.map