"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeClusterOperation_1 = require("../model/operations/DescribeClusterOperation");
var DescribeClusterOperationCommand = /** @class */ (function () {
    function DescribeClusterOperationCommand(input) {
        this.input = input;
        this.model = DescribeClusterOperation_1.DescribeClusterOperation;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeClusterOperationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeClusterOperationCommand;
}());
exports.DescribeClusterOperationCommand = DescribeClusterOperationCommand;
//# sourceMappingURL=DescribeClusterOperationCommand.js.map