/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeConfigurationInput } from "../types/DescribeConfigurationInput";
import { DescribeConfigurationOutput } from "../types/DescribeConfigurationOutput";
import { KafkaResolvedConfiguration } from "../KafkaConfiguration";
export * from "../types/DescribeConfigurationInput";
export * from "../types/DescribeConfigurationOutput";
export * from "../types/DescribeConfigurationExceptionsUnion";
export declare class DescribeConfigurationCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeConfigurationInput, OutputTypesUnion, DescribeConfigurationOutput, KafkaResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeConfigurationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeConfigurationInput, DescribeConfigurationOutput, _stream.Readable>;
    constructor(input: DescribeConfigurationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: KafkaResolvedConfiguration): __aws_sdk_types.Handler<DescribeConfigurationInput, DescribeConfigurationOutput>;
}
