"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeConfigurationRevision_1 = require("../model/operations/DescribeConfigurationRevision");
var DescribeConfigurationRevisionCommand = /** @class */ (function () {
    function DescribeConfigurationRevisionCommand(input) {
        this.input = input;
        this.model = DescribeConfigurationRevision_1.DescribeConfigurationRevision;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeConfigurationRevisionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeConfigurationRevisionCommand;
}());
exports.DescribeConfigurationRevisionCommand = DescribeConfigurationRevisionCommand;
//# sourceMappingURL=DescribeConfigurationRevisionCommand.js.map