"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetBootstrapBrokers_1 = require("../model/operations/GetBootstrapBrokers");
var GetBootstrapBrokersCommand = /** @class */ (function () {
    function GetBootstrapBrokersCommand(input) {
        this.input = input;
        this.model = GetBootstrapBrokers_1.GetBootstrapBrokers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetBootstrapBrokersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetBootstrapBrokersCommand;
}());
exports.GetBootstrapBrokersCommand = GetBootstrapBrokersCommand;
//# sourceMappingURL=GetBootstrapBrokersCommand.js.map