"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateBrokerStorage_1 = require("../model/operations/UpdateBrokerStorage");
var UpdateBrokerStorageCommand = /** @class */ (function () {
    function UpdateBrokerStorageCommand(input) {
        this.input = input;
        this.model = UpdateBrokerStorage_1.UpdateBrokerStorage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateBrokerStorageCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateBrokerStorageCommand;
}());
exports.UpdateBrokerStorageCommand = UpdateBrokerStorageCommand;
//# sourceMappingURL=UpdateBrokerStorageCommand.js.map