"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateClusterInput_1 = require("../shapes/CreateClusterInput");
var CreateClusterOutput_1 = require("../shapes/CreateClusterOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateCluster",
    http: {
        method: "POST",
        requestUri: "/v1/clusters"
    },
    input: {
        shape: CreateClusterInput_1.CreateClusterInput
    },
    output: {
        shape: CreateClusterOutput_1.CreateClusterOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateCluster.js.map