"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteClusterInput_1 = require("../shapes/DeleteClusterInput");
var DeleteClusterOutput_1 = require("../shapes/DeleteClusterOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteCluster",
    http: {
        method: "DELETE",
        requestUri: "/v1/clusters/{clusterArn}"
    },
    input: {
        shape: DeleteClusterInput_1.DeleteClusterInput
    },
    output: {
        shape: DeleteClusterOutput_1.DeleteClusterOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        }
    ]
};
//# sourceMappingURL=DeleteCluster.js.map