"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeClusterInput_1 = require("../shapes/DescribeClusterInput");
var DescribeClusterOutput_1 = require("../shapes/DescribeClusterOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeCluster",
    http: {
        method: "GET",
        requestUri: "/v1/clusters/{clusterArn}"
    },
    input: {
        shape: DescribeClusterInput_1.DescribeClusterInput
    },
    output: {
        shape: DescribeClusterOutput_1.DescribeClusterOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        }
    ]
};
//# sourceMappingURL=DescribeCluster.js.map