"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeConfigurationRevisionInput_1 = require("../shapes/DescribeConfigurationRevisionInput");
var DescribeConfigurationRevisionOutput_1 = require("../shapes/DescribeConfigurationRevisionOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeConfigurationRevision = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeConfigurationRevision",
    http: {
        method: "GET",
        requestUri: "/v1/configurations/{arn}/revisions/{revision}"
    },
    input: {
        shape: DescribeConfigurationRevisionInput_1.DescribeConfigurationRevisionInput
    },
    output: {
        shape: DescribeConfigurationRevisionOutput_1.DescribeConfigurationRevisionOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        }
    ]
};
//# sourceMappingURL=DescribeConfigurationRevision.js.map