"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListConfigurationsInput_1 = require("../shapes/ListConfigurationsInput");
var ListConfigurationsOutput_1 = require("../shapes/ListConfigurationsOutput");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListConfigurations = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListConfigurations",
    http: {
        method: "GET",
        requestUri: "/v1/configurations"
    },
    input: {
        shape: ListConfigurationsInput_1.ListConfigurationsInput
    },
    output: {
        shape: ListConfigurationsOutput_1.ListConfigurationsOutput
    },
    errors: [
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        }
    ]
};
//# sourceMappingURL=ListConfigurations.js.map