"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateClusterConfigurationInput_1 = require("../shapes/UpdateClusterConfigurationInput");
var UpdateClusterConfigurationOutput_1 = require("../shapes/UpdateClusterConfigurationOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateClusterConfiguration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateClusterConfiguration",
    http: {
        method: "PUT",
        requestUri: "/v1/clusters/{clusterArn}/configuration"
    },
    input: {
        shape: UpdateClusterConfigurationInput_1.UpdateClusterConfigurationInput
    },
    output: {
        shape: UpdateClusterConfigurationOutput_1.UpdateClusterConfigurationOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        }
    ]
};
//# sourceMappingURL=UpdateClusterConfiguration.js.map